Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2015 18:49:25 +0300

> Date: Wed, 29 Apr 2015 02:24:59 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
>         That's not so easy to wrap in a global minor mode. I'm not even sure a minor 
>         mode would be a good approach here at all.
> 
>     Sorry, you lost me.  What aspects prevent us from making a global
>     minor mode that uses xref-etags-mode in all buffers?
> 
> Um, yeah, it would work, if you want xref-etags-mode in *all* buffers at all, including those that might use yet another different backend.

Isn't that what a global mode is about?

> Where in the documentation would you mention the key bindings?

In the manual and in NEWS.

>         Should those be `n' and `p' instead, by default? I've found myself using these 
>         bindings very rarely anyway, and `n' is still very close.
> 
>     Possibly.
> 
> I'll wait for a stronger "yes" on this.

Isn't that a rhetorical question, given that 'n' and 'p' are already
bound to those movement commands?

>     There's also "C-x `".  Or maybe you should
>     bring the equivalent of tags-loop-continue back ;-)
> 
> We've already taken up its binding

A negative argument to it could call xref-pop-marker-stack, no?

>         Would you be comfortable with forgetting the current list of errors after 
>         navigating somewhere with xref?
> 
>     No, I don't think so.
> 
> But that what happens if you run a compilation (with errors), and then call Grep. Doesn't it?

No, because Grep and Compilation use different buffers for their
matches.